ASN1_CTX usage in openssl 1.1.0

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

ASN1_CTX usage in openssl 1.1.0

Swamy J-S

I have upgraded openssl from 1.0.2n to 1.1.0g on Ubuntu 18.04 recently. My application uses openssl. Now during build am facing some issues.

 

i used “EVP_MD_CTX ctx” earlier and now i modified it has

 

“EVP_MD_CTX *ctx

ctx=EVP_MD_CTX_new()” and this is working fine.

 

And i used “ASN1_CTX ctx” but this is not working if modify like above. And during build its suggesting to use “ASN1_SCTX ctx” but if I use this then I get error in “M_ASN1_New_Malloc”

 

So how to modify “ASN1_CTX ctx” in openssl 1.1.0g.

 

Also am getting error as /usr/include/openssl/asn1_mac.h:10:2: error: #error "This file is obsolete; please update your software."

 

 

Thanks and Regards,

SWAMY J S

Reply | Threaded
Open this post in threaded view
|

Re: ASN1_CTX usage in openssl 1.1.0

Matt Caswell-2


On 11/04/2019 13:06, Swamy J-S wrote:

>
> And i used *“ASN1_CTX ctx”* but this is not working if modify like above. And
> during build its suggesting to use *“ASN1_SCTX ctx”* but if I use this then I
> get error in *“M_ASN1_New_Malloc”*
>
> So how to modify “*ASN1_CTX ctx*” in openssl 1.1.0g.
>
> Also am getting error as /usr/include/openssl/asn1_mac.h:10:2: error: #error
> "This file is obsolete; please update your software."
>

You are using the old ASN1 API which has been obsolete since 2002. Are you
reading/writing your own custom ASN1 structures? If so then that will need to be
rewritten.

See my recent post on this topic:

https://mta.openssl.org/pipermail/openssl-users/2019-April/010239.html

Matt

Reply | Threaded
Open this post in threaded view
|

Re: ASN1_CTX usage in openssl 1.1.0

OpenSSL - User mailing list
On 11/04/2019 15:03, Matt Caswell wrote:

>
> On 11/04/2019 13:06, Swamy J-S wrote:
>> And i used *“ASN1_CTX ctx”* but this is not working if modify like above. And
>> during build its suggesting to use *“ASN1_SCTX ctx”* but if I use this then I
>> get error in *“M_ASN1_New_Malloc”*
>>
>> So how to modify “*ASN1_CTX ctx*” in openssl 1.1.0g.
>>
>> Also am getting error as /usr/include/openssl/asn1_mac.h:10:2: error: #error
>> "This file is obsolete; please update your software."
>>
> You are using the old ASN1 API which has been obsolete since 2002. Are you
> reading/writing your own custom ASN1 structures? If so then that will need to be
> rewritten.
>
> See my recent post on this topic:
>
> https://mta.openssl.org/pipermail/openssl-users/2019-April/010239.html
Please note that the ~2002 deprecation was confusing, as it wasn't very
clear which set of ASN.1 APIs was the bad one.  Depending on which parts
of the documentation someone read, they could get told to use the old
interface, the new interface or not get told either way.

Personally, I just gave up and didn't use that part of OpenSSL.


Enjoy

Jakob
--
Jakob Bohm, CIO, Partner, WiseMo A/S.  https://www.wisemo.com
Transformervej 29, 2860 Søborg, Denmark.  Direct +45 31 13 16 10
This public discussion message is non-binding and may contain errors.
WiseMo - Remote Service Management for PCs, Phones and Embedded